{% extends 'hi960-hikey.jinja2' %}
{% set fastboot_options = ['-S', '256M'] %}
{% set hard_reset_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu01 --command reboot --port 12'] %}

{# OTG port control #}

{% set pre_os_command = '/usr/local/lab-scripts/cbrxd_hub_control -n pmwg-server-01-hub01 -u 4 -m off' %}
{% set pre_power_command = '/usr/local/lab-scripts/cbrxd_hub_control -n pmwg-server-01-hub01 -u 4 -m sync' %}
{% set interrupt_prompt = 'Android Fastboot mode' %}
{% set interrupt_string = "' '" %}
{% set soft_reset_command = 'fastboot -u -s 46A34710114EB65 reboot' %}
{% set power_off_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname pdu01 --command off --port 12' %}
{% set fastboot_serial_number = '46A34710114EB65' %}
{% set device_info = [{'board_id': '46A34710114EB65'}] %}
{% set static_info = [{'board_id': 'S_NO19071901'}] %}
{% set adb_serial_number = '46A34710114EB65' %}
{% set power_on_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname pdu01 --command on --port 12' %}
{% set connection_command = 'telnet pmwg-server-01 7112' %}
{% set flash_cmds_order = ['ptable', 'fastboot', 'nvme', 'boot', 'cache', 'system', 'userdata'] %}
{% set device_mac = '80:3f:5d:04:23:3e' %}

{% set sync_to_lava = {'device_type': 'hi960-hikey', 'worker': 'pmwg-server-01.pmwglab', 'tags': ['lab-tests'], 'aliases': []} %}